<digi-layout-block>
	<digi-typography-heading-jumbo
		af-text="Validerings-komponenterna"
	></digi-typography-heading-jumbo>
</digi-layout-block>
<digi-form-error-list class="row"
  af-heading="Åtgärda dessa punkter"
>
  <a href="#">Skriv in ditt namn</a>
  <a href="#">Läs alla kort</a>
  <a href="#">Kryssa i kryssrutorna</a>
</digi-form-error-list>
<digi-form-input class="row"
  af-label="Namn"
  af-label-description="Du kan använda en alias också"
  af-variation="medium"
  af-type="text"
  af-validation="warning"
  af-validation-text="Skriv gärna här vad du vill bli kallad"
>
</digi-form-input>
<digi-notification-alert class="row"
  af-heading="Din ansökan har skickats in"
  af-size="large"
  af-variation="success"
  >
  Hade det stått här om det var sant
</digi-notification-alert>
<digi-notification-alert class="row"
  af-heading="Bra att veta"
  af-size="large"
  af-variation="info"
  >
  Detta är inte ett verkligt exempel
</digi-notification-alert>
<digi-notification-alert class="row"
  af-heading="Din ansökan kunde inte skickas in"
  af-size="large"
  af-variation="danger"
  >
  Det blev något fel här
</digi-notification-alert>
<digi-form-validation-message class="row"
  af-variation="error"
>
  Prova göra om allt och testa igen...
</digi-form-validation-message>
<digi-notification-alert class="row"
  af-heading="Långa handläggningstider just nu"
  af-size="large"
  af-variation="warning"
  >
  Det kan dröja med svar
</digi-notification-alert>
<digi-form-checkbox class="row"
  af-label="Är du en fin person?"
  af-variation="primary"
  af-validation="warning"
></digi-form-checkbox>
<digi-form-validation-message class="row"
  af-variation="warning"
>
  Jag tror nog att du är en fin person ändå :)
</digi-form-validation-message>
<digi-form-checkbox class="row"
  af-label="Har du läst användarvilkoren?"
  af-variation="primary"
  af-validation="error"
></digi-form-checkbox>
<button
  class="dialog-modal__inleverera--knapp"
  type="button"
  aria-label="Minska antal rapporterade kvartar"
  (click)="openDialog()"
>
  Öppna
</button>
<digi-dialog
  #digiDialogModal
  [attr.af-show-dialog]="showDialog ? 'true' : 'false'"
  af-heading="Testar bugfix"
  af-primary-button-text="Klar"
  af-secondary-button-text="Avbryt"
>
  <p class="dialog-modal__description">Beskrivning</p>
  <div class="dialog-modal__inleverera-container">
    <h3 class="dialog-modal__inleverera--header">Öka sluttiden om tillfället gick över den bokade tiden</h3>
    <digi-form-input
      af-label="Etikett"
      af-label-description="Beskrivande text"
      af-variation="medium"
      af-type="text" 
      af-validation="error"	
      af-validation-text="Det här är ett valideringsmeddelande"
    >
    </digi-form-input>
    <digi-button
      af-size="medium"
      af-variation="primary"
      af-full-width="false">
      En knapp
    </digi-button>
  </div>
</digi-dialog>